Subject: Re: [PATCH net-next 0/5] net: Extend address label support

From: Ido Schimmel <[email-masked]>
Date: Tue, 14 Mar 2023 19:43:06 +0200

On Tue, Mar 14, 2023 at 10:44:00AM +0100, Petr Machata wrote:
> Like with the labels, address replacement messages with an explicit
> IFA_PROTO are not bounced, they just neglect to actually change the
> protocol. But it makes no sense to me that someone would issue address
> replacement with an explicit proto set which differs from the current
> one, but would still rely on the fact that the proto doesn't change...

Especially when replace does work with IPv6 addresses. Couple that with
the fact that it's a much newer attribute than the labels (added in
5.18) and that it has no support in iproute2, FRR, libnl etc, the
chances of such a change breaking anyone are slim to none...